aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorohfp <1813007-ohfp@users.noreply.gitlab.com>2020-03-29 01:10:49 +0100
committerohfp <1813007-ohfp@users.noreply.gitlab.com>2020-03-29 01:10:49 +0100
commit31b77c08ce5151693bcfe16d2fb631e4a9cb3d53 (patch)
treea5540620ff2d1c31e399406f4694268ae1897b8b
parentget more output from apt update (diff)
downloadlibrewolf-linux-31b77c08ce5151693bcfe16d2fb631e4a9cb3d53.tar.gz
librewolf-linux-31b77c08ce5151693bcfe16d2fb631e4a9cb3d53.tar.bz2
librewolf-linux-31b77c08ce5151693bcfe16d2fb631e4a9cb3d53.zip
bad c&p fixed (sudo)
-rwxr-xr-xbinary_tarball/scripts/1_Install_Dependencies.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/binary_tarball/scripts/1_Install_Dependencies.sh b/binary_tarball/scripts/1_Install_Dependencies.sh
index 7033c97..7ce06c6 100755
--- a/binary_tarball/scripts/1_Install_Dependencies.sh
+++ b/binary_tarball/scripts/1_Install_Dependencies.sh
@@ -1,6 +1,8 @@
#!/bin/bash
printf "\n\n-------------------------------------- DEPENDENCY INSTALLATION ---------------------------------------------\n";
+set -e
+
# Setup Script Variables
# _DEPENDENCIES="mercurial wget git flatpak flatpak-builder";
_DEPENDENCIES="wget git xvfb build-essential xz-utils curl python3";
@@ -13,7 +15,7 @@ DEBIAN_FRONTEND=noninteractive apt-get -y -qq install $_DEPENDENCIES;
# Installs (non-ancient) clang
DEBIAN_FRONTEND=noninteractive apt install -y software-properties-common
-sudo apt-add-repository "deb http://apt.llvm.org/xenial/ llvm-toolchain-xenial-9 main"
+apt-add-repository "deb http://apt.llvm.org/xenial/ llvm-toolchain-xenial-9 main"
DEBIAN_FRONTEND=noninteractive wget -O - https://apt.llvm.org/llvm-snapshot.gpg.key | apt-key add
DEBIAN_FRONTEND=noninteractive apt-get update
DEBIAN_FRONTEND=noninteractive apt-get -y install clang-9
bgstack15